PETSc version 3.15.5
Fix/Edit manual page

# MatFDColoringSetUp

Sets up the internal data structures of matrix coloring context for the later use.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFDColoringSetUp(Mat mat,ISColoring iscoloring,MatFDColoring color)

Collective on Mat

### Input Parameters

| mat | - the matrix containing the nonzero structure of the Jacobian
| iscoloring | - the coloring of the matrix; usually obtained with MatGetColoring() or DMCreateColoring()
| color | - the matrix coloring context

Notes: When the coloring type is IS_COLORING_LOCAL the coloring is in the local ordering of the unknowns.

### See Also

MatFDColoringCreate(), MatFDColoringDestroy()

### Level

beginner

### Location

src/mat/matfd/fdmatrix.c

### Examples

src/mat/tutorials/ex16.c.html
src/snes/tutorials/ex14.c.html

### Implementations

MatFDColoringSetUp_MPIXAIJ in src/mat/impls/aij/mpi/fdmpiaij.c
MatFDColoringSetUp_SeqXAIJ in src/mat/impls/aij/seq/fdaij.c
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages